


:root {
	--img-width: 200px;
	--img-height: 174px;
	--img-padding: 20px;
}

/* THIS PLACE IS A MESS DON'T LOOK TOO CLOSELY */

body {
	font-family: "Catamaran", sans-serif;
	

	
}

.header {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	margin: calc(var(--img-padding) * 4) 0 calc(var(--img-padding) * 2);
}

h1 {
	font-size: 54px;
	font-weight: 800;
	line-height: 1.2;
}

.Google{
	margin-top: 0;
    color: #000000;
    font-size: 25px; 
    font-weight: 800;
}

p {
	font-size: 16px;
	font-weight: 400;
	margin-bottom: 20px;
	line-height: 1.5;
}

.flickity-viewport {
	overflow: visible;
	margin-bottom: 20px; /* Adiciona espaçamento entre as imagens */

    margin-top: 10px; /* Adiciona espaçamento acima do time element */

}

.timeline {
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	margin-bottom: calc(var(--img-padding) * 4);
}

.timeline:before,
.timeline:after {
	display: block;
	background: url("../img/raiz.png")
		no-repeat 0 0;
	position: absolute;
	content: "";
	background-size: auto 100%;
	background-position: left center;
	width: 12%;
	height: 120%;
	position: absolute;
	z-index: 100;
}

.timeline:before {
	left: 0;
	transform-origin: center center;
	transform: scaleX(-1);
}

.timeline:after {
	right: 0;
}



.timeline .carousel {
	/*    border: 1px solid red;*/
	width: 76%;
	height: calc(var(--img-height) + calc(var(--img-padding) * 8));
}


.timeline .carousel-cell .img-wrapper {
	/*    padding: 20px;*/
	background: white;
	border-radius: 8px;
	
margin-left: 15px;

	

}

.timeline .carousel-cell:before,
.timeline .carousel-cell:after {
    bottom: 18px;
}

.timeline .carousel-cell:before {
    left: 8px;
}

.timeline .carousel-cell:after {
    right: 8px;
}



.timeline .carousel-cell .img-wrapper img {
	display: block;
	width: var(--img-width);
	height: var(--img-height);
	height: auto;
	border-radius: 4px;
	position: relative;


}

.timeline .carousel-cell .img-wrapper img:before {
	position: absolute;
	width: 150px;
	height: 150px;
	background: red;
	z-index: 100;
	
	margin-bottom: 20px; /* Adiciona espaçamento entre as imagens */

    margin-top: 10px; /* Adiciona espaçamento acima do time element */

}



.timeline .carousel-cell > span {
	font-size: 26px;
	font-weight: 800;
	line-height: 1;
	text-align: center;
	position: absolute;
	bottom: 0;
	/*
    padding: 20px;
    padding-bottom: 0;
*/
}

.timeline .carousel-cell time span {
	font-size: 16px;
	font-weight: 600;
}

.timeline .carousel-cell.is-selected {
	/*    border: 6px solid red;*/
	box-shadow: 0 0 0 4px red, 0 8px 20px 0 transparent, 0 0 0 4px transparent,
		0 8px 20px 0 rgba(0, 0, 0, 0.2);
	position: relative;
	z-index: 0;
}

/* ---- previous/next buttons ---- */

.flickity-button:hover {
	background: rgb(161, 49, 131);
	cursor: pointer;
}


.flickity-page-dots {
	display: none;
}



.timeline-desc .carousel {
	width: 100%;
}

.timeline-desc .carousel-cell {
	width: 100%;
}

.timeline-desc .carousel-cell .card {
	width: 90%;
	margin: 40px auto;
	padding: 0 40px 0;
	border-radius: 8px;
	border: 1px solid #f0f0f0;
	background: white;
	height: 400px;
	overflow: scroll;
	position: relative;
}

.timeline-desc .carousel-cell .card h3 {
	font-size: 38px;
	margin-bottom: calc(var(--img-padding) * 1.5);
	position: sticky;
	top: 0;
	background: white;
	padding-top: calc(var(--img-padding) * 2);
	line-height: 1;
}

.timeline-desc .carousel-cell .card h3:before {
	position: absolute;
	content: "";
	width: 100%;
	height: calc(var(--img-padding) * 1.5);
	/*    border: 1px solid red;*/
	bottom: calc(calc(var(--img-padding) * 1.5) * -1);
	background: linear-gradient(
		to bottom,
		rgba(255, 255, 255, 1),
		rgba(255, 255, 255, 0)
	);
}
.timeline-desc .flickity-button {
	display: none;
}